#include "message_receiver.h"
#include "stddef.h"

void* message_receiver_refuse(void* self, MessageID id, void* data) {
    return NULL;
}

MessageReceiver message_receiver_no_implementation(void* data) {
    static IMessageReceiver const tc = {
        .handle_message = message_receiver_refuse
    };
    return (MessageReceiver){.data = data, .tc = &tc};
}
